hid_device_info Struct Reference

`#include <hidapi.h>`

Collaboration diagram for hid_device_info:
[legend]

## Data Fields

char * | path
unsigned short | vendor_id
unsigned short | product_id
wchar_t * | serial_number
unsigned short | release_number
wchar_t * | manufacturer_string
wchar_t * | product_string
unsigned short | usage_page
unsigned short | usage
int | interface_number
struct hid_device_info * | next

## Detailed Description

hidapi info structure

Definition at line 53 of file hidapi.h.

## Field Documentation

## interface_number

int hid_device_info::interface_number

The USB interface which this logical device represents. Valid on both Linux implementations in all cases, and valid on the Windows implementation only if the device contains more than one interface.

Definition at line 79 of file hidapi.h.

Referenced by main().

## manufacturer_string

wchar_t* hid_device_info::manufacturer_string

Manufacturer String

Definition at line 66 of file hidapi.h.

Referenced by main().

## next

struct hid_device_info* hid_device_info::next

Pointer to the next device

Definition at line 82 of file hidapi.h.

Referenced by main().

## path

char* hid_device_info::path

Platform-specific device path

Definition at line 55 of file hidapi.h.

Referenced by main().

## product_id

unsigned short hid_device_info::product_id

Device Product ID

Definition at line 59 of file hidapi.h.

Referenced by main().

## product_string

wchar_t* hid_device_info::product_string

Product string

Definition at line 68 of file hidapi.h.

Referenced by main().

## release_number

unsigned short hid_device_info::release_number

Device Release Number in binary-coded decimal, also known as Device Version Number

Definition at line 64 of file hidapi.h.

Referenced by main().

## serial_number

wchar_t* hid_device_info::serial_number

Serial Number

Definition at line 61 of file hidapi.h.

Referenced by main().

## usage

unsigned short hid_device_info::usage

Usage for this Device/Interface (Windows/Mac only).

Definition at line 74 of file hidapi.h.

## usage_page

unsigned short hid_device_info::usage_page

Usage Page for this Device/Interface (Windows/Mac only).

Definition at line 71 of file hidapi.h.

## vendor_id

unsigned short hid_device_info::vendor_id

Device Vendor ID

Definition at line 57 of file hidapi.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- src/hidapi/hidapi/hidapi.h